kernel-tests master: Add fs stress tests (b7cd5b4)

jwboyer at fedoraproject.org jwboyer at fedoraproject.org
Fri May 31 14:19:11 UTC 2013


Repository : http://git.fedorahosted.org/cgit/kernel-tests.git

On branch  : master

>---------------------------------------------------------------

commit b7cd5b42c43d3e7b31109d2c0dca4d7300074328
Author: Josh Boyer <jwboyer at redhat.com>
Date:   Fri May 31 09:38:47 2013 -0400

    Add fs stress tests
    
    Run fsx-linux, fsstress, and fs_racer in parallel.  fsstress runs for quite
    a while.


>---------------------------------------------------------------

 stress/ltp/fsstress.sh |   31 +++++++++++++++++++++++++++++++
 stress/ltp/runtest.sh  |   10 ++++++++--
 2 files changed, 39 insertions(+), 2 deletions(-)

diff --git a/stress/ltp/fsstress.sh b/stress/ltp/fsstress.sh
new file mode 100755
index 0000000..d4ba22f
--- /dev/null
+++ b/stress/ltp/fsstress.sh
@@ -0,0 +1,31 @@
+#!/bin/bash
+
+#set -e
+
+
+pushd ltp
+export PATH=$PATH:`pwd`/testcases/kernel/fs/fsx-linux/:`pwd`/testcases/kernel/fs/fsstress/:`pwd`/testcases/kernel/fs/racer/
+
+( export TCbin=`pwd`/testcases/kernel/fs/fsx-linux; fsxtest02 100000 ) &
+fsxpid=$!; echo "fsx-linux $fsxpid"
+
+( mkdir fsstress.tmp; fsstress -d ./fsstress.tmp -l 10000 -n 20 -p 20 -v; rm -rf fsstress.tmp ) &
+fsstresspid=$!; echo "fsstress $fsstresspid"
+
+( pushd testcases/kernel/fs/racer/; fs_racer.sh -t 600; popd ) &
+fsracerpid=$!; echo "fs_racer $fsracerpid"
+
+rc=0
+for pid in $fsxpid $fsstresspid $fsracerpid
+do
+	wait $pid
+	if [ $? -ne 0 ]
+	then
+		echo "$pid failed"
+		rc=3
+	fi
+done
+
+popd
+
+exit $rc
diff --git a/stress/ltp/runtest.sh b/stress/ltp/runtest.sh
index 49066ca..3582689 100755
--- a/stress/ltp/runtest.sh
+++ b/stress/ltp/runtest.sh
@@ -22,12 +22,18 @@ pushd ltp
 make autotools
 ./configure
 make all
+popd
 
 # Call the stress test scripts now
-
+# Right now, these are kind of more "regression" rather than stress.  They can
+# take some time, but they're executed sequentially.  Eventually we'll want to
+# kick some combination of them off in parallel and let them run for a specific
+# duration
+./mmstress.sh
+./diostress.sh
+./fsstress.sh
 # XXXXXX
 
-popd
 
 # Cleanup
 rm -rf ltp



More information about the kernel mailing list